# Copyright 2005, @Last Software, Inc.

# This software is provided as an example of using the Ruby interface
# to SketchUp.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

require 'sketchup.rb'

#-----------------------------------------------------------------------------

def addItemMenuTest
        plugins_menu = UI.menu("Plugins")
        item = plugins_menu.add_item("Test") { test }
        if (item)
                UI.messagebox item
        else
                UI.messagebox "Failure"
        end
end


def addSeperatorMenuTest

        plugins_menu = UI.menu("Plugins")
        plugins_menu.add_separator
end

def addSubmenuMenuTest
        plugins_menu = UI.menu("Plugins")
        submenu = plugins_menu.add_submenu("Test")
        if (submenu)
                UI.messagebox submenu
        else
                UI.messagebox "Failure"
        end
end

def setValidationProcMenuTest
        plugins_menu = UI.menu("Plugins")
        item = plugins_menu.add_item("Test") { test }
        UI.messagebox item
        begin
                status = plugins_menu.set_validation_proc(item)  { testProc }
        rescue
                UI.messagebox $!.message
        end

        UI.messagebox status
end


def test

        UI.messagebox "Test"

end

def testProc

        UI.messagebox "Entered validation proceedure"
end

if( not file_loaded?("menutests.rb") )

    # This will add a separator to the menu, but only once
    #add_separator_to_menu("Plugins")
    
    plugins_menu = UI.menu("Plugins")
    Menu_menu = plugins_menu.add_submenu("Menu Tests")
    Menu_menu.add_item("Menu.add_item") { addItemMenuTest }
    Menu_menu.add_item("Menu.add_seperator") { addSeperatorMenuTest }
    Menu_menu.add_item("Menu.add_submenu") { addSubmenuMenuTest }
    Menu_menu.add_item("Menu.set_validation_proc") { setValidationProcMenuTest }

end

#-----------------------------------------------------------------------------
file_loaded("menutests.rb")
