# Copyright 2005, @Last Software, Inc.

# This software is provided as an example of using the Ruby interface
# to SketchUp.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

require 'sketchup.rb'

#-----------------------------------------------------------------------------

def cmNumericTest
        cm = 10
        inches = cm.cm
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end
end


def degreesNumericTest
        degrees = 90
        radians = degrees.degrees
        if (radians)
                UI.messagebox radians
        else
                UI.messagebox "Failure"
        end                
end

def feetNumericTest
        feet = 1
        inches = feet.feet
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end
end

def inchNumericTest
        number = 100
        length = number.inch
        if (length)
                UI.messagebox length
        else
                UI.messagebox "Failure"
        end                
end

def kmNumericTest
        km = 1
        inches = km.km
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end                
end

def mNumericTestTest
        meters = 1
        inches = meters.m
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end                
end

def mileNumericTest
        miles = 1
        inches = miles.mile
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end                
end

def mmNumericTest
        mm = 10
        length = mm.mm
        if (length)
                UI.messagebox length
        else
                UI.messagebox "Failure"
        end
end

def radiansNumericTest
        radians = 1.5707963267949
        degrees = radians.radians
        if (degrees)
                UI.messagebox degrees
        else
                UI.messagebox "Failure"
        end
end


def toCmNumericTest
        inches = 1
        cm = inches.to_cm
        if (cm)
                UI.messagebox cm
        else
                UI.messagebox "Failure"
        end                
end

def toFeetNumericTest
        inches = 12
        feet = inches.to_feet
        if (feet)
                UI.messagebox feet
        else
                UI.messagebox "Failure"
        end
end
# Why convert inches to inches?
def toInchNumericTest
        inches = 12
        inches = inches.to_inch
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end                
end

def toKmNumericTest
        inches = 1
        km = inches.to_km
        if (km)
                UI.messagebox km
        else
                UI.messagebox "Failure"
        end
end

def toLNumericTest
        number = 12
        length = number.to_l
        if (length)
                UI.messagebox length
        else
                UI.messagebox "Failure"
        end                
end

def toM
        inches = 12
        meters = inches.to_m
        if (meters)
                UI.messagebox meters
        else
                UI.messagebox "Failure"
        end
end

def toMileNumericTest
        inches = 10000
        miles = inches.to_mile
        if (miles)
                UI.messagebox miles
        else
                UI.messagebox "Failure"
        end                
end

def toMmNumericTest
        inches = 1
        mm = inches.to_mm
        if (mm)
                UI.messagebox mm
        else
                UI.messagebox "Failure"
        end
end

def toYardNumericTest
        inches = 10000
        yards = inches.to_y
        if (yards)
                UI.messagebox yards
        else
                UI.messagebox "Failure"
        end
end
        

def yardNumericTest
        yards = 1
        inches = yards.yard
        if (inches)
                UI.messagebox inches
        else
                UI.messagebox "Failure"
        end
end






if( not file_loaded?("numerictests.rb") )

    # This will add a separator to the menu, but only once
    add_separator_to_menu("Plugins")
    
    plugins_menu = UI.menu("Plugins")
    Numeric_menu = plugins_menu.add_submenu("Numeric Tests")
    Numeric_menu.add_item("Numeric.cm") { cmNumericTest }
    Numeric_menu.add_item("Numeric.degrees") { degreesNumericTest }
    Numeric_menu.add_item("Numeric.feet") { feetNumericTest }
    Numeric_menu.add_item("Numeric.inch") { inchNumericTest }
    Numeric_menu.add_item("Numeric.km") { kmNumericTest }
    Numeric_menu.add_item("Numeric.m") { mNumericTest }
    Numeric_menu.add_item("Numeric.mile") { mileNumericTest }
    Numeric_menu.add_item("Numeric.mm") { mmNumericTest }
    Numeric_menu.add_item("Numeric.radians") { radiansNumericTest }
    Numeric_menu.add_item("Numeric.to_cm") { toCmNumericTest }
    Numeric_menu.add_item("Numeric.to_feet") { toFeetNumericTest }
    Numeric_menu.add_item("Numeric.to_inch") { toInchNumericTest }
    Numeric_menu.add_item("Numeric.to_km") { toKmNumericTest }
    Numeric_menu.add_item("Numeric.to_l") { toLNumericTest }
    Numeric_menu.add_item("Numeric.to_m") { toMileNumericTest }
    Numeric_menu.add_item("Numeric.to_mile") { toMileNumericTest }
    Numeric_menu.add_item("Numeric.to_mm") { toMmNumericTest }
    Numeric_menu.add_item("Numeric.to_yard") { toYardNumericTest }
    Numeric_menu.add_item("Numeric.yard") { yardNumericTest }

end

#-----------------------------------------------------------------------------
file_loaded("numerictests.rb")
